PCRE2_MATCH_DATA_CREATE(3)

NAME
PCRE2 - Perl-compatible regular expressions (revised API)

SYNOPSIS

#include <pcre2.h>

pcre2_match_data *pcre2_match_data_create(uint32_t ovecsize,
  pcre2_general_context *gcontext);

DESCRIPTION

This function creates a new match data block, which is used for holding the result of a match. The first argument specifies the number of pairs of offsets that are required. These form the "output vector" (ovector) within the match data block, and are used to identify the matched string and any captured substrings. There is always one pair of offsets; if ovecsize is zero, it is treated as one.

The second argument points to a general context, for custom memory management, or is NULL for system memory management. The result of the function is NULL if the memory for the block could not be obtained.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.